#include <stdio.h>
#include <stdlib.h>

long int largest(long int arr[], long int n)
{
    long int i;
    long int max = arr[0];
    for(i = 1; i<n; i++)
    {
        if(arr[i] > max)
        {
            max = arr[i];
        }
    }
    return max;
}

long int smallest(long int arr[], long int n)
{
    long int i;
    long int min = arr[0];
    for(i = 0; i<n; i++)
    {
        if(arr[i] < min)
        {
            min = arr[i];
        }
    }
    return min;
}

int main()
{
    long int n; //Szomszedok szama!
    long int x; //Milos hazanak a helyzete!
    long int min, max;

    return 0;
}